View Issue Details

IDProjectCategoryView StatusLast Update
0002244SOGoOpenChange backendpublic2013-04-05 13:58
ReporterDavidSchmitt Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Fixed in Version2.0.5 
Summary0002244: samba4 crashes when processing a certain calendar element
Description

When trying out the sogo zeg appliance 2.0.4, samba4 reproducibly crashes when MS Outlook tries to upload a certain calendar element.

The server goes down as soon as the triggering Outlook goes online.

Additional Information

Crashreport:

[2013/02/13 07:18:48, 0] mapiproxy/servers/default/emsmdb/dcesrv_exchange_emsmdb.c:682(EcDoRpc_process_transaction)
MAPI Rop: 0x0a (0)
Warning: No stack to get attribute from
Warning: No stack to get attribute from
[2013/02/13 07:18:48, 0] mapiproxy/servers/default/emsmdb/dcesrv_exchange_emsmdb.c:682(EcDoRpc_process_transaction)
MAPI Rop: 0x0a (8)
[2013/02/13 07:18:48, 0] mapiproxy/servers/default/emsmdb/dcesrv_exchange_emsmdb.c:682(EcDoRpc_process_transaction)
MAPI Rop: 0x0c (16)
Feb 13 07:18:48 samba [853]: <MAPIStoreCalendarMessage:0x31460b0:355-511B8480-1F-8A3EDA0.ics> METHOD '-[MAPIStoreMessage saveMessage]' (493)
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'setDocumentLocator:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'startDocument'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'startPrefixMapping:uri:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'startElement:namespace:rawName:attributes:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'startElement:namespace:rawName:attributes:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'startElement:namespace:rawName:attributes:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'endElement:namespace:rawName:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'endElement:namespace:rawName:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'startElement:namespace:rawName:attributes:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'startElement:namespace:rawName:attributes:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'startElement:namespace:rawName:attributes:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'startElement:namespace:rawName:attributes:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'endElement:namespace:rawName:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'endElement:namespace:rawName:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'endElement:namespace:rawName:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'endElement:namespace:rawName:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'endElement:namespace:rawName:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'endPrefixMapping:'
Feb 13 07:18:48 samba [853]: <0x0x361d620[_SOGoHTMLToTextContentHandler]> invoked 'endDocument'
2013-02-13 07:18:48.863 samba[853] returning wrapper: 0x16e4380; object: 0x193d620
2013-02-13 07:18:48.878 samba[853] destroying wrapped object (wrapper: 0x16e4380)
[2013/02/13 07:18:48, 0] ../lib/util/fault.c:72(fault_report)

[2013/02/13 07:18:48, 0] ../lib/util/fault.c:73(fault_report)
INTERNAL ERROR: Signal 11 in pid 853 (4.0.1)
Please read the Trouble-Shooting section of the Samba HOWTO
[2013/02/13 07:18:48, 0] ../lib/util/fault.c:75(fault_report)

[2013/02/13 07:18:48, 0] ../lib/util/fault.c:144(smb_panic_default)
PANIC: internal error

TagsNo tags attached.

Activities

ludovic

ludovic

2013-03-15 20:48

administrator   ~0005424

Can you please try a nightly build?

ludovic

ludovic

2013-04-05 13:58

administrator   ~0005486

This is most likely solved with changes done a couple of weeks ago. Test the upcoming 2.0.5 release and reopen if necessary.

Issue History

Date Modified Username Field Change
2013-02-13 10:43 DavidSchmitt New Issue
2013-03-15 20:48 ludovic Note Added: 0005424
2013-04-05 13:58 ludovic Note Added: 0005486
2013-04-05 13:58 ludovic Status new => closed
2013-04-05 13:58 ludovic Resolution open => fixed
2013-04-05 13:58 ludovic Fixed in Version => 2.0.5